Name:           gtkdatabox
Version:        0.9.1.1
Release:        8%{?dist}
Summary:        GTK+ widget for fast data display
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://sourceforge.net/projects/gtkdatabox
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         gtkdatabox-0.8.2.0-userpmoptflags.patch
Patch1:         gtkdatabox-0.9.1.1-gtk-2.20.patch
Patch2:         gtkdatabox-0.9.1.1-gtk-2.22.patch
Patch3:         gtkdatabox-0.9.1.1-gdk-deprecated.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel, pkgconfig
BuildRequires:  libglade2-devel

%description
GtkDatabox is a widget for the GTK+ library designed to display
large amounts of numerical data fast and easy.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel, pkgconfig

%description    devel
The %{name}-devel package contains libraries, header files, and
documentation for developing applications that use %{name}.

%package        libglade
Summary:        Glade 2 support files for %{name}
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}

%description    libglade
The %{name}-libglade package contains support files for libglade.

%prep
%setup -q
%patch0 -p1 -b .optflags
%patch1 -p1 -b .gtk220
%patch2 -p1 -b .gtk222
%patch3 -p1 -b .gdkdep

%build
%configure --disable-static --disable-rpath --enable-libglade LIBS="-lm"
# fix rpath libtool issues
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# fix ChangeLog encoding issues
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.tmp && mv -f ChangeLog.tmp ChangeLog
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libgtkdatabox-*.so.*

%files devel
%defattr(-,root,root,-)
%doc examples/*.c
%{_includedir}/gtkdatabox*.h
%{_libdir}/libgtkdatabox.so
%{_libdir}/pkgconfig/gtkdatabox.pc
%{_datadir}/gtk-doc/html/gtkdatabox

%files libglade
%defattr(-,root,root,-)
%{_libdir}/libglade/2.0/libdatabox.so

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.9.1.1-7
- Rebuild for new libpng

* Sat Jun 25 2011 Eric Work <work.eric@gmail.com> - 0.9.1.1-6
- Allow deprecated GDK functions
- Disable glade subpackage requires gtk-3.0

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep  3 2010 Dan Horák <dan[at]danny.cz> 0.9.1.1-4
- fix deprecated GTK 2.22 features

* Thu May 20 2010 Eric Work <work.eric@gmail.com> 0.9.1.1-3
- fix deprecated GTK 2.20 features

* Thu May 20 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.9.1.1-2
- Updated to consume new libgladeui-1.so.9

* Tue Feb 09 2010 Eric Work <work.eric@gmail.com> 0.9.1.1-1
- new upstream version
- enable glade support
- fix new linker problems

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 08 2008 Eric Work <work.eric@gmail.com> 0.9.0.1-1
- new upstream version
- drop patch gcallback

* Mon Sep 01 2008 Eric Work <work.eric@gmail.com> 0.9.0.0-1
- new upstream version
- new gtk-doc documentation
- fix deprecated GTK_SIGNAL_FUNC

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.2.2-2
- Autorebuild for GCC 4.3

* Sat Jan 26 2008 Eric Work <work.eric@gmail.com> 0.8.2.2-1
- new upstream version

* Tue Dec 18 2007 Eric Work <work.eric@gmail.com> 0.8.2.0-1
- new upstream version
- drop patch compilefix
- enable libglade support

* Mon Nov 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.8.0.1-2
- fix license tag
- use rpm optflags

* Mon Nov 26 2007 Eric Work <work.eric@gmail.com> 0.8.0.1-1
- new upstream version

* Tue Mar 20 2007 Eric Work <work.eric@gmail.com> 0.7.0.1-1
- new upstream version

* Sat Nov 11 2006 Eric Work <work.eric@gmail.com> 0.7.0.0-4
- bumped EVR to assure devel replaces FC6

* Fri Sep 15 2006 Eric Work <work.eric@gmail.com> 0.7.0.0-3
- bumped version to prepare for FC6

* Thu Aug 17 2006 Eric Work <work.eric@gmail.com> 0.7.0.0-2
- removed devel post/postun scripts

* Fri Aug 11 2006 Eric Work <work.eric@gmail.com> 0.7.0.0-1
- updated to 0.7.0.0

* Tue Aug 08 2006 Eric Work <work.eric@gmail.com> 0.6.0.0-1
- updated to 0.6.0.0

* Fri Jun 23 2006 Eric Work <work.eric@gmail.com> 0.5.3.0-1
- initial release
